#pragma once
#include "ccam.h"
#include "cmcam.h"
#include "tisudshl.h"
using namespace DShowLib;
class CAM_DRIVER_IMPL_EXPORT CCam_IMG : public CMCam
{
public:
	CCam_IMG(const QString& name, int32_t id);
	~CCam_IMG();
	virtual int32_t init_channel();
	virtual int32_t exit_channel();
	friend class CCamDriver_IMG;

	Grabber* m_pGrabber;
	tFrameSnapSinkPtr* m_pSink;
	bool Reconnect();
};
